#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  Libao-1.2.0

- Next

  libcanberra-0.30

- Up
- Home

# libass-0.15.2

## Introduction to libass

libass is a portable subtitle renderer for the ASS/SSA (Advanced Substation Alpha/Substation Alpha) subtitle format that allows for more advanced subtitles than the conventional SRT and similar formats.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://github.com/libass/libass/releases/download/0.15.2/libass-0.15.2.tar.xz

- Download MD5 sum: c85e78d2e35661ab4e6295681e075d16

- Download size: 376 KB

- Estimated disk space required: 5.4 MB

- Estimated build time: less than 0.1 SBU

### libass Dependencies

#### Required

FreeType-2.11.1, FriBidi-1.0.11, and NASM-2.15.05

#### Recommended

Fontconfig-2.13.1

#### Optional

HarfBuzz-3.4.0

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libass

## Installation of libass

Install libass by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--disable-fontconfig`: Use this switch if you didn't install Fontconfig.

## Contents

Installed Programs: None
Installed Library: libass.so
Installed Directory: /usr/include/ass

### Short Descriptions

`libass.so` | provides the functions used to render ASS/SSA subtitle format

Last updated on

- Prev

  Libao-1.2.0

- Next

  libcanberra-0.30

- Up
- Home